%define module_name POSIX-Run-Capture
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(ExtUtils/MakeMaker.pm) perl(File/Cmp.pm) perl(File/Temp.pm) perl(Module/Metadata.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.05
Release: alt1
Summary: run command and capture its output
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SG/SGRAY/%{module_name}-%{version}.tar.gz

%description
Runs an external command and captures its output. Both standard error and
output can be captured. Standard input can be supplied as either a
filehandle or a text. Upon exit, the captured streams can be accessed line
by line or in one chunk. Callback routines can be supplied that will be
called for each complete line of output read, providing a way for synchronous
processing. 

This module is for those who value performance and effectiveness over
portability. As its name suggests, it can be used only on POSIX systems.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_archlib/P*
%perl_vendor_autolib/*

%changelog
* Tue Mar 19 2024 Igor Vlasenko <viy@altlinux.org> 1.05-alt1
- updated by package builder

* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.03-alt2
- rebuild with perl 5.38

* Sat Nov 20 2021 Igor Vlasenko <viy@altlinux.ru> 1.03-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.00-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.00-alt2
- rebuild with perl 5.30

* Thu Aug 15 2019 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1
- updated by package builder

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.02-alt1.1
- rebuild with perl 5.28.1

* Wed Dec 20 2017 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

